%?mingw_package_header

Name:           mingw-p11-kit
Version:        0.20.7
Release:        1%{?dist}
Summary:        MinGW Library for loading and sharing PKCS#11 modules

License:        BSD
Group:          Development/Libraries
URL:            http://p11-glue.freedesktop.org/p11-kit.html
Source0:        http://p11-glue.freedesktop.org/releases/p11-kit-%{version}.tar.gz
Patch101:       p11-kit-0.20.4-tests.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-libffi
BuildRequires:  mingw32-libtasn1
BuildRequires:  mingw32-win-iconv

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-libffi
BuildRequires:  mingw64-libtasn1
BuildRequires:  mingw64-win-iconv

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

# Yes, really ...
BuildRequires:  pkgconfig

# For native /usr/bin/msgfmt etc.
BuildRequires:  gettext
# For native GTK HTML documentation
BuildRequires:  gtk-doc


%description
p11-kit provides a way to load and enumerate PKCS#11 modules, as well as
a standard configuration setup for installing PKCS#11 modules in such a
way that they're discoverable.  This library is cross-compiled for MinGW.


%package -n mingw32-p11-kit
Summary:        MinGW Library for loading and sharing PKCS#11 modules
Requires:       pkgconfig

%description -n mingw32-p11-kit
p11-kit provides a way to load and enumerate PKCS#11 modules, as well as
a standard configuration setup for installing PKCS#11 modules in such a
way that they're discoverable.  This library is cross-compiled for MinGW.

%package -n mingw64-p11-kit
Summary:        MinGW Library for loading and sharing PKCS#11 modules
Requires:       pkgconfig

%description -n mingw64-p11-kit
p11-kit provides a way to load and enumerate PKCS#11 modules, as well as
a standard configuration setup for installing PKCS#11 modules in such a
way that they're discoverable.  This library is cross-compiled for MinGW.


%?mingw_debug_package


%prep
%setup -q -n p11-kit-%{version}
%patch101 -p0 -b .p11-kit-tests


%build
%mingw_configure --disable-static --disable-silent-rules
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{mingw32_datadir}/info/dir
rm -f $RPM_BUILD_ROOT%{mingw64_datadir}/info/dir

# Remove .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Remove gtk-doc pages which duplicate stuff in Fedora already.
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc


%files -n mingw32-p11-kit
%doc COPYING
%{mingw32_bindir}/libp11-kit-0.dll
%{mingw32_bindir}/p11-kit.exe
%{mingw32_bindir}/trust.exe
%{mingw32_libdir}/libp11-kit.dll.a
%{mingw32_libdir}/p11-kit
%dir %{mingw32_libdir}/pkcs11
%{mingw32_libdir}/pkcs11/p11-kit-trust.dll
%{mingw32_libdir}/pkcs11/p11-kit-trust.dll.a
%{mingw32_libdir}/pkgconfig/p11-kit-1.pc
%{mingw32_includedir}/p11-kit-1/
%{mingw32_datadir}/p11-kit
%{mingw32_sysconfdir}/pkcs11

%files -n mingw64-p11-kit
%doc COPYING
%{mingw64_bindir}/libp11-kit-0.dll
%{mingw64_bindir}/p11-kit.exe
%{mingw64_bindir}/trust.exe
%{mingw64_libdir}/libp11-kit.dll.a
%{mingw64_libdir}/p11-kit
%dir %{mingw64_libdir}/pkcs11
%{mingw64_libdir}/pkcs11/p11-kit-trust.dll
%{mingw64_libdir}/pkcs11/p11-kit-trust.dll.a
%{mingw64_libdir}/pkgconfig/p11-kit-1.pc
%{mingw64_includedir}/p11-kit-1/
%{mingw64_datadir}/p11-kit
%{mingw64_sysconfdir}/pkcs11


%changelog
* Thu Apr 16 2015 Michael Cronenworth <mike@cchtml.com> - 0.20.7-1
- New upstream release.

* Fri Sep 12 2014 Michael Cronenworth <mike@cchtml.com> - 0.20.6-1
- New upstream release.

* Sun Aug 17 2014 Michael Cronenworth <mike@cchtml.com> - 0.20.4-1
- New upstream release.

* Sun Apr 13 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.20.2-3
- Don't carry .debug files in main packages

* Sun Mar 30 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.20.2-2
- Rebuild against latest mingw-crt to fix Windows XP compatibility issue

* Mon Jan 27 2014 Michael Cronenworth <mike@cchtml.com> - 0.20.2-1
- New upstream release.

* Sun Sep 22 2013 Michael Cronenworth <mike@cchtml.com> - 0.20.1-1
- New upstream release.

* Mon Jul 29 2013 Michael Cronenworth <mike@cchtml.com> - 0.19.3-1
- New upstream release.

* Mon Jul 08 2013 Michael Cronenworth <mike@cchtml.com> - 0.18.4-1
- New upstream release.

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.18.2-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Wed May 29 2013 Michael Cronenworth <mike@cchtml.com> - 0.18.2-1
- New upstream release.

* Thu May 09 2013 Michael Cronenworth <mike@cchtml.com> - 0.18.1-1
- New upstream release.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Michael Cronenworth <mike@cchtml.com> - 0.14-1
- New upstream release.

* Sun Aug 05 2012 Michael Cronenworth <mike@cchtml.com> - 0.13-1
- New upstream release.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 29 2012 Michael Cronenworth <mike@cchtml.com> - 0.12-1
- New upstream release.

* Sat Mar 10 2012 Michael Cronenworth <mike@cchtml.com> - 0.10-4
- Update spec to build 64-bit package.

* Fri Mar 09 2012 Kalev Lember <kalevlember@gmail.com> - 0.10-3
- Remove .la files

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.10-2
- Rebuild against the mingw-w64 toolchain

* Sun Jan 08 2012 Michael Cronenworth <mike@cchtml.com> - 0.10-1
- New upstream release (includes w64 patch)

* Wed Nov 16 2011 Michael Cronenworth <mike@cchtml.com> - 0.9-4
- Include w64 patch.
- Match release number of cross repo.

* Wed Nov 16 2011 Michael Cronenworth <mike@cchtml.com> - 0.9-1
- Initial RPM release.

